View Issue Details

IDProjectCategoryView StatusLast Update
0001875Ham Radio DeluxeEnhancementpublic2017-07-19 12:14
ReporterKB3NPH 
Assigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.664 
Summary0001875: New Logbook Filter Option
DescriptionTicket# 621932

I am a member of a few nets and I use the "custom fields" for the different net ids. I would like the ability to search on this field being "NOT BLANK." This was I can take Custom Field 1 which I renamed OMISS and search for all the OMISS numbers, or Custom Filed 2 which is YLISSB and again, search for "NOT BLANK" to bring up the list of YL members. This would be really helpful when looking for awards for these networks.

Right now my work around is to add a blank space at the end of the number. Then I search for " " (the blank space) in the proper custom field. I just confirmed it. There is no way to search if Custom Field 1,2,or 3 is blank or not blank.

There is a field "equals" option but not a "not equals" option. The 'Not Equals" option is what I need in order to search if the OMISS number I have in custom field 1 is present or not.

Thank you in advance for your help in this.

Roger Meadows
KG4GGG
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
TestingNot Started

Relationships

Activities

K7ZCZ

2017-07-12 20:27

viewer   ~0003640

This has been checked in with this changelist:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3620

g3ucq

2017-07-16 16:51

viewer   ~0003677

Added

WA9PIE

2017-07-19 12:14

administrator   ~0003696

All shipped as part of the 664 release.

Issue History

Date Modified Username Field Change
2016-02-19 01:57 KB3NPH New Issue
2017-05-23 15:23 WA9PIE Severity minor => feature
2017-06-30 18:49 K7ZCZ Assigned To => K7ZCZ
2017-06-30 18:49 K7ZCZ Status new => assigned
2017-07-12 20:27 K7ZCZ Status assigned => resolved
2017-07-12 20:27 K7ZCZ Resolution open => fixed
2017-07-12 20:27 K7ZCZ Testing => Not Started
2017-07-12 20:27 K7ZCZ Note Added: 0003640
2017-07-12 20:27 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2017-07-16 14:48 WA9PIE Fixed in Version => 6.4.0.664
2017-07-16 16:51 g3ucq Note Added: 0003677
2017-07-19 12:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-19 12:14 WA9PIE Note Added: 0003696
2017-07-19 12:14 WA9PIE Status resolved => closed